pcl::_ReferenceFrame Struct Reference
Module common

A structure representing the Local Reference Frame of a point. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_ReferenceFrame:

## Public Member Functions

Eigen::Map< Eigen::Vector3f > | getXAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getXAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getYAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getYAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getZAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getZAxisVector3fMap () const
Eigen::Map< Eigen::Matrix3f > | getMatrix3fMap ()
const Eigen::Map< const Eigen::Matrix3f > | getMatrix3fMap () const

## Public Attributes

union {
float rf [9]
struct {
float x_axis [3]
float y_axis [3]
float z_axis [3]
} |
}; |

## Detailed Description

A structure representing the Local Reference Frame of a point.

Definition at line 1232 of file point_types.hpp.

## Member Function Documentation

Eigen::Map<Eigen::Matrix3f> pcl::_ReferenceFrame::getMatrix3fMap | ( |  | ) |

inline

Definition at line 1251 of file point_types.hpp.

const Eigen::Map<const Eigen::Matrix3f> pcl::_ReferenceFrame::getMatrix3fMap | ( |  | ) | const

inline

Definition at line 1252 of file point_types.hpp.

References pcl::operator<<().

Eigen::Map<Eigen::Vector3f> pcl::_ReferenceFrame::getXAxisVector3fMap | ( |  | ) |

inline

Definition at line 1245 of file point_types.hpp.

const Eigen::Map<const Eigen::Vector3f> pcl::_ReferenceFrame::getXAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1246 of file point_types.hpp.

Eigen::Map<Eigen::Vector3f> pcl::_ReferenceFrame::getYAxisVector3fMap | ( |  | ) |

inline

Definition at line 1247 of file point_types.hpp.

const Eigen::Map<const Eigen::Vector3f> pcl::_ReferenceFrame::getYAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1248 of file point_types.hpp.

Eigen::Map<Eigen::Vector3f> pcl::_ReferenceFrame::getZAxisVector3fMap | ( |  | ) |

inline

Definition at line 1249 of file point_types.hpp.

const Eigen::Map<const Eigen::Vector3f> pcl::_ReferenceFrame::getZAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1250 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_ReferenceFrame::rf[9]

Definition at line 1236 of file point_types.hpp.

Referenced by pcl::ReferenceFrame::ReferenceFrame().

float pcl::_ReferenceFrame::x_axis[3]

Definition at line 1239 of file point_types.hpp.

float pcl::_ReferenceFrame::y_axis[3]

Definition at line 1240 of file point_types.hpp.

float pcl::_ReferenceFrame::z_axis[3]

Definition at line 1241 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp